Prs3d 包该包为箭头(arrow)、圆柱体(cylinder)、球体(sphere)等简单几何图形提供了现成的标准表示算法。它还定义了Prs3d_Drawer类,用于控制要创建的演示文稿的颜色、线型(line type)、厚度(thickness)等属性。 StdPrs 包为B-Rep形状提供了现成的标准表示算法。它提供了通用的表示算法,如着色(shading)、线框(wiref...
thePntPtr -- a pointer to the variable of type gp_Pnt to be set. thePnt2dPtr -- a pointer to the variable of type gp_Pnt2d to be set.All these functions are defined in TKDraw toolkit and return a string indicating the result of execution.@...
29406: Foundation Classes – gp_Ax3 fails setting direction 31661: Modeling Data – Exception when projecting parabola or hyperbola to plane 32679: Data Exchange – STEP writer loses assembly instance name 32692: Mesh – In BRepMesh_ModelPreProcessor avoid crashes with problematic topology 32744: Mode...
aCS->SetTransformPersistence (Graphic3d_TMF_2d, gp_Pnt (-1,-1,0)); 11 aCS->SetToUpdate(); 12 theContextAIS->Display (aCS); To see how 2d objects are implemented in OCCT you can call Draw commands vcolorscale, vlayerline or vdrawtext (with -2d option). Draw command vcolorscale ...
方法1:创建一个新的属性,在示例中通过创建一个新的属性来实现gp_Trsf。 方法2:通过标准属性结合创建一个新的数据类型。因为是变换类型因此他的数据框架理应包含多种标准属性。例如,两个点可以定义平移。因此,数据树应当包含下面元素: 一个整型代表变换类型 ...
Geom_Line(constgp_Lin&L) Creates a line from a non transient line from package gp.More... Geom_Line(constgp_Pnt&P, constgp_Dir&V) Constructs a line passing through point P and parallel to vector V (P and V are, respectively, the origin and the unit vector of the positioning axis...
gp_Lin GeomAdaptor_Curve::Line ( ) const overridevirtual Reimplemented from Adaptor3d_Curve.◆ Load() [1/2]void GeomAdaptor_Curve::Load ( const Handle< Geom_Curve > & C ) ◆ Load() [2/2]void GeomAdaptor_Curve::Load ( const Handle< Geom_Curve > & C, const Standard_Real U...
const gp_Dir& ProjLib_ProjectOnPlane::GetDirection ( ) const const gp_Ax3& ProjLib_ProjectOnPlane::GetPlane ( ) const GeomAbs_CurveType ProjLib_ProjectOnPlane::GetType ( ) const overridevirtual Returns the type of the curve in the current interval : Line, Circle, Ellipse, Hyperbola, ...
gp_Pnt aP; TopAbs_State aState; gp_Pnt2d aP2d; // GeomAPI_ProjectPointOnSurf& aProjector=myContext->ProjPS(myFace); Standard_Integer aNbSeg=23; if (myC.GetType() == GeomAbs_Line && myS.GetType() == GeomAbs_Plane) aNbSeg = 2; // Check only three points for Line/Plane intersec...
aPoints.SetValue(2, 5, gp_Pnt(-2, 5, 4)); aPoints.SetValue(3, 1, gp_Pnt(0, -4, 3.5)); aPoints.SetValue(3, 2, gp_Pnt(0, -2, 3.5)); aPoints.SetValue(3, 3, gp_Pnt(0, 0, 3.5)); aPoints.SetValue(3, 4, gp_Pnt(0, 2, 3.5)); ...